body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.score {
  font-size: 24px;
  text-align: center;
  margin-bottom: 20px;
}

/* confetti animation */
@keyframes confetti {
  0% {
    transform: translateY(0) rotateZ(0deg);
  }
  100% {
    transform: translateY(1000px) rotateZ(720deg);
  }
}

/* congrats message */
.congrats {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 999;
}

.congrats h1 {
  font-size: 5rem;
  margin-bottom: 0;
}

.congrats p {
  font-size: 2rem;
  margin-top: 0;
}

/* confetti */
.confetti {
  position: absolute;
  width: 15px;
  height: 15px;
  background: linear-gradient(45deg, #FF4136, #FFDC00, #2ECC40, #0074D9, #B10DC9);
  opacity: 0.5;
  border-radius: 50%;
  animation: confetti 3s ease-in-out infinite;
  z-index: 1;
}


.confetti:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #F7D63D;
  box-shadow:
    0px 0px 8px rgba(255, 255, 255, 0.8),
    0px 0px 16px rgba(255, 255, 255, 0.6),
    0px 0px 32px rgba(255, 255, 255, 0.4),
    0px 0px 64px rgba(255, 255, 255, 0.2);
  animation: confetti 3s ease-in-out infinite;
}

.confetti:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #F7D63D;
  box-shadow:
    0px 0px 8px rgba(255, 255, 255, 0.8),
    0px 0px 16px rgba(255, 255, 255, 0.6),
    0px 0px 32px rgba(255, 255, 255, 0.4),
    0px 0px 64px rgba(255, 255, 255, 0.2);
  animation: confetti 3s ease-in-out infinite reverse;
}

.confetti:nth-child(1) {
  left: 10%;
  top: 5%;
  width: 25px;
  height: 25px;
  opacity: 0.8;
}

.confetti:nth-child(2) {
  left: 20%;
  top: 15%;
  width: 20px;
  height: 20px;
  opacity: 0.7;
}